> For the complete documentation index, see [llms.txt](https://docs.snowbridge.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snowbridge.network/developers/snowbridge-v2/typescript-sdk.md).

# SDK

The V2 SDK is very similar to the V1 SDK. It adds parameters such as `customXcm` for executing XCM on AssetHub or destination parachains, and fee-selection options such as `feeAsset` or `feeTokenLocation` depending on the route.

## Packages

Snowbridge V2 uses the same packages as the Snowbridge V1 SDK. The current stable SDK release series starts at **v1.0.0**.

### Example Scripts

We have a wide range of scripts using the Snowbridge SDK at <https://github.com/Snowfork/snowbridge/tree/main/web/packages/operations/src>, as examples of how to use the SDK and the bridge.

### Guides

Here are guides to integrate with Snowbridge V2:

* [Token transfer Ethereum -> Polkadot](/developers/snowbridge-v2/typescript-sdk/e2p.md)
* [Token transfer Polkadot -> Ethereum](/developers/snowbridge-v2/typescript-sdk/e2p-1.md)
* [Transact on AssetHub & Parachain](/developers/snowbridge-v2/typescript-sdk/transact-ah.md)
* [Transact on Ethereum & L2s](/developers/snowbridge-v2/typescript-sdk/transact-ethereum.md)
* [SDK Cases](/developers/snowbridge-v2/typescript-sdk/cases.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snowbridge.network/developers/snowbridge-v2/typescript-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
